upstream web {  
  ip_hash;
  server web:8000;
}

upstream front {
  ip_hash;
  server front:5000;
}

server {
  listen 8000;
  server_name localhost ut93.ir;

  root /files;

  location /api {
        proxy_pass http://web/api;
  }
  location /admin {
        proxy_pass http://web/admin;
  }
  location / {
	try_files $uri $uri/ @front_server;
  }
  location /stat/ {
        proxy_pass http://web/stat/;
  }
  location @front_server {
        proxy_pass http://front;
  }

}
